export type StateType = {
  displayMode: 'full' | 'normal';
  navbarState: 'search' | 'annotations' | 'thumbnails' | '';
  sidebarState:
    | 'markup-tools'
    | 'create-form'
    | 'watermark'
    | 'highlight'
    | 'freehand'
    | 'text'
    | 'sticky'
    | 'shape'
    | '';
  markupToolState: 'highlight' | 'freehand' | 'text' | 'sticky' | 'shape' | '';
  info: { token: string; id: string };
  initiated: boolean;
  isLoading: boolean;
};

export default {
  displayMode: 'full',
  navbarState: '',
  sidebarState: 'highlight',
  markupToolState: '',
  info: {},
  initiated: false,
  isLoading: false,
};
